/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::File System
 * Copyright (c) 2004-2016 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    FS_Debug.c
 * Purpose: File System Debug Configuration
 * Rev.:    V6.8.0
 *----------------------------------------------------------------------------*/

//-------- <<< Use Configuration Wizard in Context Menu >>> --------------------

// <e>File System Debug
// <i>Enable or disable FileSystem component debug
#define FS_DEBUG_ENABLE         1

//   <o>Core Management  <0=>Off <1=>Errors only <2=>Level 0 <3=>Level 1
//   <i>Configure File System component core management debugging
#define FS_DEBUG_COM            1

//   <o>FAT File System  <0=>Off <1=>Errors only <2=>Level 0 <3=>Level 1
//   <i>Configure FAT file system debugging
#define FS_DEBUG_FAT            1

//   <o>EFS File System  <0=>Off <1=>Errors only <2=>Level 0 <3=>Level 1
//   <i>Configure Embedded File System debugging
#define FS_DEBUG_EFS            1

//   <o>I/O Control Interface  <0=>Off <1=>Errors only <2=>Level 0 <3=>Level 1
//   <i>Configure I/O control interface debugging
#define FS_DEBUG_IOC            1

//   <o>NAND Flash Translation Layer  <0=>Off <1=>Errors only <2=>Level 0 <3=>Level 1
//   <i>Configure NAND Flash Translation Layer debugging
#define FS_DEBUG_NFTL           1

//   <o>NAND Device Interface  <0=>Off <1=>Errors only <2=>Level 0 <3=>Level 1
//   <i>Configure NAND device interface debugging
#define FS_DEBUG_NAND           1

//   <o>Memory Card MCI  <0=>Off <1=>Errors only <2=>Level 0 <3=>Level 1
//   <i>Configure Memory Card Interface debugging
#define FS_DEBUG_MCI            1

//   <o>Memory Card SPI  <0=>Off <1=>Errors only <2=>Level 0 <3=>Level 1
//   <i>Configure Memory Card Interface debugging
#define FS_DEBUG_SPI            1

// </e>

#include "fs_debug.h"
